package sresponse

import (
	"net/http"

	"github.com/tech/sendico/pkg/api/http/response"
	"github.com/tech/sendico/pkg/mlogger"
	"github.com/tech/sendico/pkg/model"
)

func SignUp(logger mlogger.Logger, account *model.Account) http.HandlerFunc {
	return response.Ok(
		logger,
		&account.AccountBase,
	)
}
